@echo off 
mode con LINES=17 COLS=120
cd %~dp0
set dossiersoft=%~dp0
pushd %dossiersoft%

:menu
REM cls
REM echo ********************************************************************************************************
REM echo Dossier source des bins Multi tracks :  %dossiersource%
REM echo ********************************************************************************************************
REM echo Dossier destination .bin et .cue One track :  %dossierdestinationbin%
REM echo ********************************************************************************************************
REM echo Dossier destination pour les pbp :  %dossierdestinationpbp%
REM echo ********************************************************************************************************
REM echo.
cls
echo *****************************************************
echo * Que voulez vous faire ?                           *
REM echo * 1 - changer les dossiers  source/destination    *
echo * 1 - Convertir des .bin Multi-Pistes en Mono-Piste *
echo * 2 - Convertir des .bin Mono-Piste en pbp          *
echo *****************************************************
set /P "choix="
REM if /I "%choix%"=="1" (goto :selectionsource)
if /I "%choix%"=="1" (goto :convertmultibintoone)
if /I "%choix%"=="2" (goto :convertbintopbp)
goto end



:convertmultibintoone
echo.
echo Veuillez choisir les dossiers : 
echo.
echo Choisissez le dossier SOURCE ou se trouvent vos fichiers .bin MULTI PISTES
setlocal DisableDelayedExpansion
set "psCommand="(New-Object -COM Shell.Application)^
.BrowseForFolder(0,'Choisissez le dossier SOURCE ou se trouvent vos fichiers .bin MULTI PISTES a merger',0,0).self.path""
for /F "usebackq delims=" %%i in (`PowerShell %psCommand%`) do set "newRoot=%%i"

set "dossiersource=%newRoot%"

pushd "%dossiersource%" & echo Dossier source : %dossiersource%
echo.
echo Choisissez le dossier ou vous souhaitez que les nouveaux .bin Mono Piste soient crees.
setlocal DisableDelayedExpansion
set "psCommand3="(New-Object -COM Shell.Application)^
.BrowseForFolder(0,'Choisissez le dossier ou vous souhaitez que les nouveaux .bin Mono Piste soient crees.',0,0).self.path""
for /F "usebackq delims=" %%i in (`PowerShell %psCommand3%`) do set "newRoot3=%%i"

set "dossierdestinationbin=%newRoot3%"

pushd "%dossierdestinationbin%" & echo Dossier destination bin mono-piste: %dossierdestinationbin%

for /r "%dossiersource%" %%i in (*.cue) do (  
        %dossiersoft%\ressources\binmerge.exe -o "%dossierdestinationbin%" "%dossiersource%\%%~ni.cue" "%%~ni"
		)
echo .
Echo Tous les fichiers bin du repertoire %dossiersource% ont ete regroupes en 1 seul dans le dossier %dossierdestinationbin%. 
pause 
goto menu




:convertbintopbp
cls 
echo.
echo Choisissez le dossier source ou se situent vos fichiers .bin mono-piste
setlocal DisableDelayedExpansion
set "psCommand3="(New-Object -COM Shell.Application)^
.BrowseForFolder(0,'Choisissez le dossier source ou se situent vos fichiers .bin mono-piste',0,0).self.path""
for /F "usebackq delims=" %%i in (`PowerShell %psCommand3%`) do set "newRoot3=%%i"

set "dossierdestinationbin=%newRoot3%"

pushd "%dossierdestinationbin%" & echo Dossier source bin mono-piste: %dossierdestinationbin%
echo.
echo Choisissez le dossier de destination de vos .pbp
setlocal DisableDelayedExpansion
set "psCommand2="(New-Object -COM Shell.Application)^
.BrowseForFolder(0,'Choisissez le dossier de destination de vos .pbp',0,0).self.path""
for /F "usebackq delims=" %%i in (`PowerShell %psCommand2%`) do set "newRoot2=%%i"

set "dossierdestinationpbp=%newRoot2%"

pushd "%dossierdestinationpbp%" & echo Dossier destination pbp : %dossierdestinationpbp%

%dossiersoft%\ressources\bintopbp %dossierdestinationbin% %dossierdestinationpbp%
Echo Tous les fichiers bin du repertoire %dossierdestinationbin% ont ete convertis en pbp dans le dossier %dossierdestinationpbp%.
pause
goto menu



:end
cls
echo Fin du game.... 
pause>nul
exit